gnutls_pkcs11_token_get_flags(3)

NAME
gnutls_pkcs11_token_get_flags - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_token_get_flags(const char * url, unsigned int * flags);

ARGUMENTS

const char * url
    should contain a PKCS 11 URL

unsigned int * flags
    The output flags (GNUTLS_PKCS11_TOKEN_*)

DESCRIPTION
This function will return information about the PKCS 11 token flags.

RETURNS
zero on success or a negative value on error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.